Subject: Re: TSO trimming question

From: John Heffner <[email-masked]>
Date: Thu, 20 Dec 2007 11:02:21 -0500

David Miller wrote:
> From: "Ilpo_Järvinen" <[email-masked]>
> Date: Thu, 20 Dec 2007 13:40:51 +0200 (EET)
> 
>> [PATCH] [TCP]: Fix TSO deferring
>>
>> I'd say that most of what tcp_tso_should_defer had in between
>> there was dead code because of this.
>>
>> Signed-off-by: Ilpo Järvinen <[email-masked]>
> 
> Yikes!!!!!
> 
> John, we've been living a lie for more than a year. :-/
> 
> On the bright side this explains a lot of small TSO frames I've been
> seeing in traces over the past year but never got a chance to
> investigate.

Ouch.  This fix may improve some benchmarks.

Re-checking this function was on my list of things to do because I had 
also noticed some TSO frames that seemed a bit small.  This clearly 
explains it.

   -John